Bug 1868338 - CVE-2020-17368 firejail: mishandling shell metacharacters during use of the --output may lead to command injection [fedora-all]
Summary: CVE-2020-17368 firejail: mishandling shell metacharacters during use of the -...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firejail
Version: 32
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Ondrej Dubaj
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2020-17368
TreeView+ depends on / blocked
 
Reported: 2020-08-12 10:47 UTC by Marian Rehak
Modified: 2020-08-26 14:51 UTC (History)
1 user (show)

Fixed In Version: firejail-0.9.62.4-1.fc31 firejail-0.9.62.4-1.fc32
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-26 14:40:31 UTC
Type: ---


Attachments (Terms of Use)

Description Marian Rehak 2020-08-12 10:47:31 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2020-08-12 10:47:36 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1868337,1868338

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-08-12 11:32:14 UTC
FEDORA-2020-4d67b4cd32 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d67b4cd32

Comment 3 Fedora Update System 2020-08-12 11:32:21 UTC
FEDORA-2020-e0dd9f1baf has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e0dd9f1baf

Comment 4 Fedora Update System 2020-08-13 01:52:31 UTC
FEDORA-2020-4d67b4cd32 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4d67b4cd32`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-4d67b4cd32

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-08-13 02:24:12 UTC
FEDORA-2020-e0dd9f1baf has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-e0dd9f1baf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e0dd9f1baf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-08-18 13:12:01 UTC
FEDORA-2020-80a6d7e7e0 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-80a6d7e7e0

Comment 7 Fedora Update System 2020-08-18 13:12:02 UTC
FEDORA-2020-45fc8559d5 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-45fc8559d5

Comment 8 Fedora Update System 2020-08-19 01:11:49 UTC
FEDORA-2020-45fc8559d5 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-45fc8559d5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-45fc8559d5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-08-19 01:28:27 UTC
FEDORA-2020-80a6d7e7e0 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-80a6d7e7e0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-80a6d7e7e0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-08-26 14:40:31 UTC
FEDORA-2020-80a6d7e7e0 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-08-26 14:51:16 UTC
FEDORA-2020-45fc8559d5 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.